Subject: bug#68937: closed (Re: [bug#68937] QA review for 68937)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Feb 2024 11:26:03 +0000

Your bug report

#68937: [PATCH 0/3] Orca fixes

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68937: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68937
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68937] QA review for 68937
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 10 Feb 2024 11:15:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> [[PGP Signed Part:Good signature from 5E28A33B0B84F577 Christopher Baines <[email-masked]> (trust ultimate) created at 2024-02-10T11:13:32+0000 using RSA]]
>
> Vivien Kraus via Guix-patches via <[email-masked]> writes:
>
>> user guix
>> usertag 68937 + reviewed-looks-good
>> thanks
>>
>> Guix QA review form submission:
>> The new lint warning is Guix’ fault I think.
>>
>> I checked orca and it still reads the screen correctly. I’m not a
>> regular user of orca.
>>
>> I’m not a maintainer, I’m not a committer. I’m a relatively new member
>> of the GNOME team.
>>
>> I’ve been involved as I asked for the patches to be rebased on gnome-
>> team.
>>
>> Items marked as checked: Package builds, Commit messages
>
> Thanks both, unfortunately QA is not very useful for gnome-team at the
> moment since it hasn't started building it. The builds for this issue
> were also blocked by builtin:git-download related
> failures.
>
> The changes look fine to me though, so I've pushed both patches to
> gnome-team as 952c691b51f8f5d56df69686c2785414709c7949.

Forgot to close.

Subject: [PATCH 0/3] Orca fixes
From: Dariqq <[email-masked]>
To: [email-masked]
Cc: Dariqq <[email-masked]>
Date: Mon, 5 Feb 2024 15:44:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

As reported in https://issues.guix.gnu.org/64357 orca currently fails to run.

The issue seems to be that the 'import pyatspi' statement fails when at-spi2-atk is in 'GI_TYPELIB_PATH' with the changes to the '__init__.py' done in the python-pyatspi guix package. I have removed the at-spi2-atk package and at least orca is not complaining.

Then there was also the issue that orca was not able to find the orca modules which was solved by adding them to GUIX_PYTHONPATH.

This makes orca able to run again.

I also added some of the optional dependencies to orca which required fixing the brltty package first.

Dariqq (3):
  gnu: orca: Fix invocation errors.
  gnu: brltty: Fix python package install.
  gnu: orca: Add more optional dependencies.

 gnu/packages/accessibility.scm | 10 +++++++-
 gnu/packages/gnome.scm         | 46 +++++++++++++++++++++-------------
 2 files changed, 37 insertions(+), 19 deletions(-)

base-commit: 179bb57d2532ee6b81791e078b0f782cbf88cb84
-- 
2.41.0